#!/usr/bin/perl

use warnings;
use strict;
use Test::More;

BEGIN { use_ok('LFastaIO') };

plan tests => 2;

my $io;

open my $fh, '>&STDOUT' or die $!;

# Test that it dies when it is supposed to:
eval {$io = LFastaIO->new(fh => $fh,
                          file => '>tmp.tmp') };

like($@, qr/Don't specify both file and filehandle/i,
     'Croaked properly on both file and filehandle');

eval {$io = LFastaIO->new() };

like($@, qr/You have to specify either file or filehandle/i,
     'Croaked properly on neither file or filehandle');
